=== debian/control ===
Source: mupen64plus-ui-console
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-ui-console.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-ui-console.git
Build-Depends:
 debhelper (>= 8.0.0),
 dpkg-dev (>= 1.16.0),
 libmupen64plus-dev,

Package: mupen64plus-ui-console
Architecture: any-i386 any-amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-audio-all | mupen64plus-audio,
 mupen64plus-core-abi-1,
 mupen64plus-input-all | mupen64plus-input,
 mupen64plus-rsp-all | mupen64plus-rsp,
 mupen64plus-video-all | mupen64plus-video,
Provides:
 mupen64plus-ui,
Breaks:
 mupen64plus (<< 1.99.1)
Replaces:
 mupen64plus (<< 1.99.1)
Description: console frontend for mupen64plus
 Minimal console user interface for mupen64plus. Features provided:
  * Changeable emulation plugins for audio, core, input, rsp, video
  * Selection of emulation core
  * Graphical OSD for status output
  * Setting of configuration variable per session or in configuration file
  * Cheat database support
  * Loading of roms
 .
 It does not provide any sort of graphical setup or functionality to
 uncompress files.

Package: mupen64plus-ui-console-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Depends:
 ${misc:Depends},
 mupen64plus-ui-console (= ${binary:Version}),
Breaks: mupen64plus-dbg (<< 1.99.1)
Replaces: mupen64plus-dbg (<< 1.99.1)
Description: console frontend for mupen64plus debug symbols package
 Minimal console user interface for mupen64plus. Features provided:
  * Changeable emulation plugins for audio, core, input, rsp, video
  * Selection of emulation core
  * Graphical OSD for status output
  * Setting of configuration variable per session or in configuration file
  * Cheat database support
  * Loading of roms
 .
 It does not provide any sort of graphical setup or functionality to
 uncompress files.
 .
 This package contains the debug files.
