## mupen64plus-ui-console 1.99.4+27+bdcc13172958

=== debian/changelog ===
mupen64plus-ui-console (1.99.4+27+bdcc13172958-1) experimental; urgency=low

  * New upstream snapshot from revision bdcc131729587084653df131e73abd8e435e08a0
  * debian/rules:
    - Remove unnecessary --as-needed from linker flags
    - Force PIE to prevent build failures

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 22:04:59 +0100

mupen64plus-ui-console (1.99.4+23+86aec84c1b27-1) experimental; urgency=low

  * New upstream snapshot from revision 86aec84c1b2735ff5d4d3f4f6b0342497d4dc5ae
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * debian/patches:
    - Remove upstream merged patches big_endian_conflict.patch,
      rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:06:26 +0200
