=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends:
  debhelper (>= 8.0.0),
  dpkg-dev (>= 1.16.0),
- libmupen64plus-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
 
 Package: mupen64plus-ui-console
 Architecture: any-i386 any-amd64
@@ -19,7 +19,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-audio-all | mupen64plus-audio,
- mupen64plus-core-abi-1,
+ mupen64plus-core-abi-2,
  mupen64plus-input-all | mupen64plus-input,
  mupen64plus-rsp-all | mupen64plus-rsp,
  mupen64plus-video-all | mupen64plus-video,
