=== debian/changelog ===
mupen64plus-ui-console (1.99.5-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 01:12:04 +0200

mupen64plus-ui-console (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * Depend on mupen64plus-data for cheat database
  * Remove unnecessary break against mupen64plus-dbg

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 00:21:43 +0200

mupen64plus-ui-console (1.99.5-1) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:36 +0100
