=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-ui-console.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-ui-console.git
 Build-Depends:
- debhelper (>= 8.0.0),
- dpkg-dev (>= 1.16.0),
- libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
+ libmupen64plus-dev (>= 1.99.5),
 
 Package: mupen64plus-ui-console
 Architecture: any-i386 any-amd64
@@ -19,7 +19,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-audio-all | mupen64plus-audio,
- mupen64plus-core-abi-2,
+ mupen64plus-config-abi-2.2,
+ mupen64plus-data,
+ mupen64plus-frontend-abi-2.0.1,
  mupen64plus-input-all | mupen64plus-input,
  mupen64plus-rsp-all | mupen64plus-rsp,
  mupen64plus-video-all | mupen64plus-video,
@@ -48,8 +50,6 @@
 Depends:
  ${misc:Depends},
  mupen64plus-ui-console (= ${binary:Version}),
-Breaks: mupen64plus-dbg (<< 1.99.1)
-Replaces: mupen64plus-dbg (<< 1.99.1)
 Description: console frontend for mupen64plus debug symbols package
  Minimal console user interface for mupen64plus. Features provided:
   * Changeable emulation plugins for audio, core, input, rsp, video
