=== debian/changelog ===
mupen64plus-ui-console (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Depend on libsdl2-dev for new SDLmain function
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Build against SDL2
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:53:14 +0200

mupen64plus-ui-console (2.0~rc2+1+b39a4ffc9d54-2) experimental; urgency=low

  * debian/rules:
    - Disable -flto and -fPIC because GCC 4.8 still has problems when used
      together with PIE

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:25:35 +0200

mupen64plus-ui-console (2.0~rc2+1+b39a4ffc9d54-1) experimental; urgency=low

  * New Upstream Snapshot from b39a4ffc9d54aabd72ae95947b7b046e2e1a56bb
  * Depend on mupen64plus-frontend-abi-2.1.1 in debian/control
  * debian/rules
    - Enable link-time optimization in debian/rules similar to upstream
    - Enable -fPIC to fix build error with pie enabled

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:57:05 +0200

mupen64plus-ui-console (1.99.5+22+0f89ae786d3e-1) experimental; urgency=low

  * New Upstream Snapshot from 0f89ae786d3e03baf658c70a34d3389beaa897d7
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:16:05 +0100

mupen64plus-ui-console (1.99.5+8+0f9dd3c1dd6d-1) experimental; urgency=low

  * New Upstream Snapshot from 0f9dd3c1dd6de4e65ed98fb9745448cacb5a13b5
  * Upgraded to policy 3.9.4, no changes required
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:34:01 +0100

mupen64plus-ui-console (1.99.5+6+a10c576ef396-1) experimental; urgency=low

  * New Upstream Snapshot from a10c576ef39638f14e40010836c409de2d6ac6b4
  * debian/patches:
    - Add printf_fixup.patch, Add printf-format attribute

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Sep 2012 21:24:53 +0200

mupen64plus-ui-console (1.99.5+3+19265d7e8658-1) experimental; urgency=low

  * New Upstream Snapshot from 19265d7e8658a243557e17d74674d8fe2fed7dcf
  * debian/patches:
    - Remove upstream merged gcc_lto.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:55:06 +0200
