=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-ui-console.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-ui-console.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libmupen64plus-dev (>= 1.99.5),
+ libsdl2-dev,
 
 Package: mupen64plus-ui-console
 Architecture: any-i386 any-amd64
@@ -21,7 +21,7 @@
  mupen64plus-audio-all | mupen64plus-audio,
  mupen64plus-config-abi-2.2,
  mupen64plus-data,
- mupen64plus-frontend-abi-2.0.1,
+ mupen64plus-frontend-abi-2.1.1,
  mupen64plus-input-all | mupen64plus-input,
  mupen64plus-rsp-all | mupen64plus-rsp,
  mupen64plus-video-all | mupen64plus-video,
