=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-ui-console/downloads/ \
	/richard42/mupen64plus-ui-console/downloads/mupen64plus-ui-console-src-(.*).tar.gz
